Buscar agente supervisor vinculado ao usuário

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
GET /chatapi/1.0/api/v2/users/{id}/agent-supervisor

Retorna os dados do agente supervisor associado ao usuário informado pelo ID.

Path parameters

  • id integer(int64) Required

    id

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • active boolean Required
    • agentAllHistory boolean
    • agentAllHistoryOperation boolean
    • agentAttendSimple boolean
    • agentToken string
    • agentViewPhone boolean
    • birthDate string
    • chatAgent boolean
    • department string
    • displayName string
    • email string
    • firstAccess boolean Required
    • groupsId array[integer(int64)]
    • id integer(int64)
    • maxChatChannels integer(int64)
    • operationsId array[integer(int64)]
    • password string
    • pauseOnReceiveCall boolean
    • phone string
    • priority integer(int64)
    • profile object
      Hide profile attributes Show profile attributes object
      • createdAt string(date-time)
      • createdBy string
      • id integer(int64)
      • name string
      • typeUser string
      • updatedAt string(date-time)
      • updatedBy string
      • visible boolean
    • socialToken string
    • superAgent boolean
    • userName string
    • usingMFA boolean
    • virtualAgent boolean
    • voice object
      Hide voice attributes Show voice attributes object
      • agentBusyDelayTime integer(int32)
      • agentCallTimeout integer(int32)
      • agentContact string
      • agentId string
      • agentMaxNoAnswer integer(int32)
      • agentName string
      • agentNoAnswerDelayTime integer(int32)
      • agentRejectDelayTime integer(int32)
      • agentType string
      • agentWrapUpTime integer(int32)
      • extension object
        Hide extension attributes Show extension attributes object
        • callTimeout integer(int32)
        • effectiveCallerIdName string
        • effectiveCallerIdNumber string
        • extension string
        • forwardAllDestination string
        • forwardBusyDestination string
        • forwardNoAnswerDestination string
        • forwardUserNotRegisteredDestination string
        • maxRegistrations integer(int32)
        • numberAlias string
        • outboundCallerIdName string
        • outboundCallerIdNumber string
        • password string
        • userContext string
  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

GET /chatapi/1.0/api/v2/users/{id}/agent-supervisor
curl \
 --request GET 'https://api.neppo.com.br/chatapi/1.0/api/v2/users/{id}/agent-supervisor' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "active": true,
  "agentAllHistory": true,
  "agentAllHistoryOperation": true,
  "agentAttendSimple": true,
  "agentToken": "string",
  "agentViewPhone": true,
  "birthDate": "string",
  "chatAgent": true,
  "department": "string",
  "displayName": "string",
  "email": "string",
  "firstAccess": true,
  "groupsId": [
    42
  ],
  "id": 42,
  "maxChatChannels": 42,
  "operationsId": [
    42
  ],
  "password": "string",
  "pauseOnReceiveCall": true,
  "phone": "string",
  "priority": 42,
  "profile": {
    "createdAt": "2026-05-04T09:42:00Z",
    "createdBy": "string",
    "id": 42,
    "name": "string",
    "typeUser": "string",
    "updatedAt": "2026-05-04T09:42:00Z",
    "updatedBy": "string",
    "visible": true
  },
  "socialToken": "string",
  "superAgent": true,
  "userName": "string",
  "usingMFA": true,
  "virtualAgent": true,
  "voice": {
    "agentBusyDelayTime": 42,
    "agentCallTimeout": 42,
    "agentContact": "string",
    "agentId": "string",
    "agentMaxNoAnswer": 42,
    "agentName": "string",
    "agentNoAnswerDelayTime": 42,
    "agentRejectDelayTime": 42,
    "agentType": "string",
    "agentWrapUpTime": 42,
    "extension": {
      "callTimeout": 42,
      "effectiveCallerIdName": "string",
      "effectiveCallerIdNumber": "string",
      "extension": "string",
      "forwardAllDestination": "string",
      "forwardBusyDestination": "string",
      "forwardNoAnswerDestination": "string",
      "forwardUserNotRegisteredDestination": "string",
      "maxRegistrations": 42,
      "numberAlias": "string",
      "outboundCallerIdName": "string",
      "outboundCallerIdNumber": "string",
      "password": "string",
      "userContext": "string"
    }
  }
}